import argparse

parser = argparse.ArgumentParser()
parser.add_argument("ifile", type=argparse.FileType('r'))

args = parser.parse_args()
lines = args.ifile.readlines()

depths = [int(line.strip()) for line in lines]
enumerated_depths = list(enumerate(depths))

increases = 0

prev_sum = sum(depths[0:3])
for index, depth in enumerated_depths[2::]:
    our_sum = sum(depths[index-3:index])
    if our_sum > prev_sum:
        increases += 1

    prev_sum = our_sum

print(increases)
